Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network45.77.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
45.77.32.0
Broadcast address
45.77.63.255
First usable
45.77.32.1
Last usable
45.77.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 2D4D2000 · Integer 760029184 to 760037375
Reverse DNS zones
32.77.45.in-addr.arpa
33.77.45.in-addr.arpa
34.77.45.in-addr.arpa
35.77.45.in-addr.arpa
36.77.45.in-addr.arpa
37.77.45.in-addr.arpa
38.77.45.in-addr.arpa
39.77.45.in-addr.arpa
40.77.45.in-addr.arpa
41.77.45.in-addr.arpa
42.77.45.in-addr.arpa
43.77.45.in-addr.arpa
44.77.45.in-addr.arpa
45.77.45.in-addr.arpa
46.77.45.in-addr.arpa
47.77.45.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101101.01001101.00100000.0000000045.77.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00101101.01001101.00100000.0000000045.77.32.0
Broadcast00101101.01001101.00111111.1111111145.77.63.255
Split into smaller subnets/25

45.77.32.0/19 makes 64 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
145.77.32.0/2545.77.32.1 to 45.77.32.12645.77.32.127126
245.77.32.128/2545.77.32.129 to 45.77.32.25445.77.32.255126
345.77.33.0/2545.77.33.1 to 45.77.33.12645.77.33.127126
445.77.33.128/2545.77.33.129 to 45.77.33.25445.77.33.255126
545.77.34.0/2545.77.34.1 to 45.77.34.12645.77.34.127126
645.77.34.128/2545.77.34.129 to 45.77.34.25445.77.34.255126
745.77.35.0/2545.77.35.1 to 45.77.35.12645.77.35.127126
845.77.35.128/2545.77.35.129 to 45.77.35.25445.77.35.255126
945.77.36.0/2545.77.36.1 to 45.77.36.12645.77.36.127126
1045.77.36.128/2545.77.36.129 to 45.77.36.25445.77.36.255126
1145.77.37.0/2545.77.37.1 to 45.77.37.12645.77.37.127126
1245.77.37.128/2545.77.37.129 to 45.77.37.25445.77.37.255126
1345.77.38.0/2545.77.38.1 to 45.77.38.12645.77.38.127126
1445.77.38.128/2545.77.38.129 to 45.77.38.25445.77.38.255126
1545.77.39.0/2545.77.39.1 to 45.77.39.12645.77.39.127126
1645.77.39.128/2545.77.39.129 to 45.77.39.25445.77.39.255126
1745.77.40.0/2545.77.40.1 to 45.77.40.12645.77.40.127126
1845.77.40.128/2545.77.40.129 to 45.77.40.25445.77.40.255126
1945.77.41.0/2545.77.41.1 to 45.77.41.12645.77.41.127126
2045.77.41.128/2545.77.41.129 to 45.77.41.25445.77.41.255126
2145.77.42.0/2545.77.42.1 to 45.77.42.12645.77.42.127126
2245.77.42.128/2545.77.42.129 to 45.77.42.25445.77.42.255126
2345.77.43.0/2545.77.43.1 to 45.77.43.12645.77.43.127126
2445.77.43.128/2545.77.43.129 to 45.77.43.25445.77.43.255126
2545.77.44.0/2545.77.44.1 to 45.77.44.12645.77.44.127126
2645.77.44.128/2545.77.44.129 to 45.77.44.25445.77.44.255126
2745.77.45.0/2545.77.45.1 to 45.77.45.12645.77.45.127126
2845.77.45.128/2545.77.45.129 to 45.77.45.25445.77.45.255126
2945.77.46.0/2545.77.46.1 to 45.77.46.12645.77.46.127126
3045.77.46.128/2545.77.46.129 to 45.77.46.25445.77.46.255126
3145.77.47.0/2545.77.47.1 to 45.77.47.12645.77.47.127126
3245.77.47.128/2545.77.47.129 to 45.77.47.25445.77.47.255126
3345.77.48.0/2545.77.48.1 to 45.77.48.12645.77.48.127126
3445.77.48.128/2545.77.48.129 to 45.77.48.25445.77.48.255126
3545.77.49.0/2545.77.49.1 to 45.77.49.12645.77.49.127126
3645.77.49.128/2545.77.49.129 to 45.77.49.25445.77.49.255126
3745.77.50.0/2545.77.50.1 to 45.77.50.12645.77.50.127126
3845.77.50.128/2545.77.50.129 to 45.77.50.25445.77.50.255126
3945.77.51.0/2545.77.51.1 to 45.77.51.12645.77.51.127126
4045.77.51.128/2545.77.51.129 to 45.77.51.25445.77.51.255126
4145.77.52.0/2545.77.52.1 to 45.77.52.12645.77.52.127126
4245.77.52.128/2545.77.52.129 to 45.77.52.25445.77.52.255126
4345.77.53.0/2545.77.53.1 to 45.77.53.12645.77.53.127126
4445.77.53.128/2545.77.53.129 to 45.77.53.25445.77.53.255126
4545.77.54.0/2545.77.54.1 to 45.77.54.12645.77.54.127126
4645.77.54.128/2545.77.54.129 to 45.77.54.25445.77.54.255126
4745.77.55.0/2545.77.55.1 to 45.77.55.12645.77.55.127126
4845.77.55.128/2545.77.55.129 to 45.77.55.25445.77.55.255126
4945.77.56.0/2545.77.56.1 to 45.77.56.12645.77.56.127126
5045.77.56.128/2545.77.56.129 to 45.77.56.25445.77.56.255126
5145.77.57.0/2545.77.57.1 to 45.77.57.12645.77.57.127126
5245.77.57.128/2545.77.57.129 to 45.77.57.25445.77.57.255126
5345.77.58.0/2545.77.58.1 to 45.77.58.12645.77.58.127126
5445.77.58.128/2545.77.58.129 to 45.77.58.25445.77.58.255126
5545.77.59.0/2545.77.59.1 to 45.77.59.12645.77.59.127126
5645.77.59.128/2545.77.59.129 to 45.77.59.25445.77.59.255126
5745.77.60.0/2545.77.60.1 to 45.77.60.12645.77.60.127126
5845.77.60.128/2545.77.60.129 to 45.77.60.25445.77.60.255126
5945.77.61.0/2545.77.61.1 to 45.77.61.12645.77.61.127126
6045.77.61.128/2545.77.61.129 to 45.77.61.25445.77.61.255126
6145.77.62.0/2545.77.62.1 to 45.77.62.12645.77.62.127126
6245.77.62.128/2545.77.62.129 to 45.77.62.25445.77.62.255126
6345.77.63.0/2545.77.63.1 to 45.77.63.12645.77.63.127126
6445.77.63.128/2545.77.63.129 to 45.77.63.25445.77.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses